import type { PhoneCodeChannel } from '@clerk/types';
import type { CountryEntry, CountryIso } from '../elements/PhoneInput/countryCodeData';
export declare function getFlagEmojiFromCountryIso(iso: CountryIso, fallbackIso?: string): string;
export declare function getCountryIsoFromFormattedNumber(formattedNumber: string, fallbackIso?: string): string;
export declare function formatPhoneNumber(phoneNumber: string, pattern: string | undefined, countryCode?: string): string;
export declare function extractDigits(formattedPhone: string): string;
export declare function parsePhoneString(str: string): {
    iso: "at" | "br" | "hr" | "li" | "td" | "th" | "tr" | "id" | "mn" | "mo" | "ms" | "tt" | "sm" | "md" | "me" | "de" | "ss" | "er" | "ug" | "lk" | "to" | "is" | "sx" | "no" | "as" | "bt" | "lr" | "by" | "cy" | "fr" | "in" | "bg" | "us" | "gb" | "ca" | "ru" | "af" | "al" | "dz" | "ad" | "ao" | "ai" | "ag" | "ar" | "am" | "aw" | "au" | "az" | "bs" | "bh" | "bd" | "bb" | "be" | "bz" | "bj" | "bm" | "bo" | "ba" | "bw" | "io" | "vg" | "bn" | "bf" | "bi" | "kh" | "cm" | "cv" | "bq" | "ky" | "cf" | "cl" | "cn" | "co" | "km" | "cd" | "cg" | "ck" | "cr" | "ci" | "cu" | "cw" | "cz" | "dk" | "dj" | "dm" | "do" | "ec" | "eg" | "sv" | "gq" | "ee" | "et" | "fk" | "fo" | "fj" | "fi" | "gf" | "pf" | "ga" | "gm" | "ge" | "gh" | "gi" | "gr" | "gl" | "gd" | "gp" | "gu" | "gt" | "gn" | "gw" | "gy" | "ht" | "hn" | "hk" | "hu" | "ir" | "iq" | "ie" | "il" | "it" | "jm" | "jp" | "jo" | "kz" | "ke" | "ki" | "kw" | "kg" | "la" | "lv" | "lb" | "ls" | "ly" | "lt" | "lu" | "mk" | "mg" | "mw" | "my" | "mv" | "ml" | "mt" | "mh" | "mq" | "mr" | "mu" | "mx" | "fm" | "mc" | "ma" | "mz" | "mm" | "na" | "nr" | "np" | "nl" | "nc" | "nz" | "ni" | "ne" | "ng" | "nu" | "nf" | "kp" | "mp" | "om" | "pk" | "pw" | "ps" | "pa" | "pg" | "py" | "pe" | "ph" | "pl" | "pt" | "pr" | "qa" | "re" | "ro" | "rw" | "bl" | "sh" | "kn" | "lc" | "mf" | "pm" | "vc" | "ws" | "st" | "sa" | "sn" | "rs" | "sc" | "sl" | "sg" | "sk" | "si" | "sb" | "so" | "za" | "kr" | "es" | "sd" | "sr" | "sz" | "se" | "ch" | "sy" | "tw" | "tj" | "tz" | "tl" | "tg" | "tk" | "tn" | "tm" | "tc" | "tv" | "vi" | "ua" | "ae" | "uy" | "uz" | "vu" | "va" | "ve" | "vn" | "wf" | "ye" | "zm" | "zw";
    pattern: string;
    code: string;
    number: string;
    formattedNumberWithCode: string;
};
export declare function stringToFormattedPhoneString(str: string): string;
export declare const byPriority: (a: CountryEntry, b: CountryEntry) => number;
export declare function getCountryFromPhoneString(phone: string): {
    number: string;
    country: CountryEntry;
};
export declare function getPreferredPhoneCodeChannelByCountry(phoneNumber: string, preferredChannels: Record<string, PhoneCodeChannel>): PhoneCodeChannel | null;
